<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

?>
<div class="toggle-handler">

	<h2 class="hndle ui-sortable-handle"><span><?php echo esc_attr__( 'Configuration', 'wk_quick' ); ?></span></h2>

</div>

<?php

settings_errors();

if (isset($_GET['page']) && !empty($_GET['page']) && $_GET['page'] == 'quick-order') {
    ?>

<div id="wrapper">

	<div id="dashboard_right_now" class="formcontainer quick-order quick-order-settings">

		<div class="inside">

			<div class="main">

				<form method="post" action="options.php">

					<?php settings_fields( 'quick-order-settings-group' ); ?>

					<?php do_settings_sections( 'quick-order-settings-group' ); ?>

 
							<div class="options_group">

								<?php
                                wc_quick_select(array(
                                    'id'         => '_csv_quick_order_create_by',
                                    'value'      => get_option('_csv_quick_order_create_by', 'both' ),
                                    'label'      => esc_attr__('Allow Quick Order from', 'wk_quick'),
                                    'options'    => array(
                                        'both'  => esc_attr__('Both CSV and Table', 'wk_quick'),
                                        'table' => esc_attr__('Quick Order Table', 'wk_quick'),
                                        'csv'   => esc_attr__('Upload CSV', 'wk_quick'),
                                    ),
                                    'desc_tip'    => true,
                                    'description' => esc_attr__('Customer can upload csv, use Quick Order Table or Both to create order.', 'wk_quick' ),
                                )); ?>

							</div>

							<div class="options_group">

								<?php
                                wc_quick_radio(array(
                                    'id'          => '_quick_blank_rows',
                                    'value'       => get_option( '_quick_blank_rows', 1 ),
                                    'label'       => esc_attr__('Show Blank Rows', 'wk_quick'),
                                    'options'     => array('yes', 'no'),
                                    'desc_tip'    => true,
                                    'description' => esc_attr__('If yes, customer will get blank in Quick Order Table.', 'wk_quick'), 
                                )); ?>

							</div>

							<div class="options_group">

								<?php
                                wc_quick_text_input(array(
                                    'id'                => '_quick_no_rows_add',
                                    'value'             => ! empty( get_option( '_quick_no_rows_add' ) ) ? get_option('_quick_no_rows_add') : 5,
                                    'label'             => esc_attr__('Number of rows to add', 'wk_quick'),
                                    'desc_tip'          => true,
                                    'description'       => esc_attr__( 'Set the number of rows to display by default.', 'wk_quick'),
                                    'type'              => 'number',
                                    'custom_attributes' => array(
                                        'min' => 1,
                                    ),
                                )); ?>

							</div>
							<div class="options_group">

								<?php
                                wc_quick_text_input(array(
                                    'id'                => '_quick_no_rows',
                                    'value'             => ! empty( get_option( '_quick_no_rows' ) ) ? get_option( '_quick_no_rows' ) : 10,
                                    'label'             => esc_attr__( 'Default number of rows', 'wk_quick' ),
                                    'desc_tip'          => true,
                                    'description'       => esc_attr__( 'Set the number of rows to add on &quot;add row click&quot.', 'wk_quick' ),
                                    'type'              => 'number',
                                    'custom_attributes' => array(
                                        'min' => 0,
                                    ),
                                )); ?>

							</div>

							<div class="options_group">

								<?php
                                wc_quick_select(array(
                                    'id'           => '_create_combination_feild',
                                    'value'        => get_option('_create_combination_feild', 'yes'),
                                    'label'        => esc_attr__( 'Want to see combination Field', 'wk_quick'),
                                    'options'      => array(
                                        'yes' => esc_attr__( 'Yes', 'wk_quick' ),
                                        'no'  => esc_attr__( 'No', 'wk_quick' ),
                                        ),
                                    'desc_tip'    => true,
                                    'description' => esc_attr__( 'If you want to remove combination field.', 'wk_quick'),
                                )); ?>
							</div>

							<div class="options_group">

								<?php
                                wc_quick_select(array(
                                    'id'           => '_search_product_by',
                                    'value'        => get_option('_search_product_by', 'name'),
                                    'label'        => esc_attr__('Search product By', 'wk_quick'),
                                    'options'      => array(
                                        'sku'  => esc_attr__('SKU', 'wk_quick'),
                                        'name' => esc_attr__('Product Name', 'wk_quick'),
                                        'both' => esc_attr__('Both name and SKU', 'wk_quick'),
                                        ),
                                    'desc_tip'    => true,
                                    'description' => esc_attr__( 'Search in row by Product Name, SKU or Both', 'wk_quick'),
                                )); ?>

							</div>
							  
						<?php submit_button(); ?>

				</form>

			</div>
	</div>


</div>

	<?php
}