<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

$rows = apply_filters( 'quick_get_default_rows', 10 );

$row_count = $rows;
global $wpdb;

$products = apply_filters( 'quick_get_resultant_products', $row_count );

if ( isset( $_POST['submitCustomizedData'] ) && ( ! isset( $_POST['quick_order_csvnonce_field'] ) || ! wp_verify_nonce( $_POST['quick_order_csvnonce_field'], 'quick_order_csvaction' ) ) ) {

	wp_die( esc_html__( 'Sorry, your nonce did not verify.', 'wk_quick' ) );
   
} elseif ( isset($_POST['submitCustomizedData'] ) ) {
    // process form data
    do_action('process_quick_order_to_cart_via_csv', $_POST );
}

if ( isset( $_POST['wk_quick_order_submit_button'] ) && ( ! isset( $_POST['quick_order_nonce_field'] ) || ! wp_verify_nonce( $_POST['quick_order_nonce_field'], 'quick_order_action' ) ) ) {

	wp_die( esc_html__( 'Sorry, your nonce did not verify.', 'wk_quick' ) );
	
} elseif ( isset( $_POST['wk_quick_order_submit_button'] ) ) {
    // process form data

	do_action('process_quick_order_to_cart', $_POST );
	
}

$option = get_option('_csv_quick_order_create_by', 'both' );

$csv   = false;
$table = true;
if ( $option === 'both' || $option === 'csv' ) {
	$csv = true;
	if( 'csv' === $option ) {
		$table = false;
	}
}

if ( ! is_admin() ) {
	
	wc_print_notices();

}
?>

<div id="content-wrapper">

	<?php

    if ( $csv ) :

     ?>
	<div id="wk_right_column">
		
		<div class="wk_quick_order_box">

			<form method="post" action="" enctype="multipart/form-data" id="uploadForm">
	
				<?php wp_nonce_field( 'quick_order_csvaction', 'quick_order_csvnonce_field' ); ?>
			
				<div class="product-customization">
					<div class="clearfix">
						<div class="col-md-6">
							<h3 class="h4 card-title"><?php echo esc_html__( 'Upload your order', 'wk_quick'); ?></h3>
							<?php echo esc_html__( 'Select a .CSV file here from your computer.', 'wk_quick'); ?>
						</div>
						<div class="wk_get_direction_button_div float-xs-right col-md-6">
							<button type="button" class="wk_quick_order_direction" data-modal-trigger="quick-modal">
							<?php echo esc_html__( 'Get Direction', 'wk_quick'); ?>
							</button>
						</div>
					</div>
						<span class="custom-file">
							<span class="js-file-name"><?php echo esc_html__( 'No selected file', 'wk_quick'); ?></span>
								<input class="file-input js-file-input" required="" type="file" name="wk_quick_order_file" id="wk_quick_order_file">
								<button class="btn btn-primary"><?php echo esc_html__( 'Choose file', 'wk_quick'); ?></button>
							</span>
							<button class="btn btn-primary" type="submit" name="submitCustomizedData"><?php echo esc_html__( 'upload', 'wk_quick'); ?></button>
						
					<div class="wk_quick_order_error"></div>
				</div>
			</form>
			<div class="quick-modal" id="quick-modal"> 
				<div class="quick-modal-content">
					<div class="quick-modal-header">
						<button type="button" class="close"> 
						</button>
						<h3 class="quick-modal-title" id="examplequick-modalLongTitle"><?php echo esc_html__( 'Import Excel.CSV File', 'wk_quick'); ?></h3>
					</div>
					<div class="quick-modal-body">
						<div><?php echo esc_html__( 'Follow the steps below to import multiple products using an CSV file. Click here to download the', 'wk_quick'); ?> </div>
						<ul id="wk_file_type_info_ul">
							<li>
								<a href="<?php echo esc_url( QUICK_API.'inc/quick-order.csv' ); ?>">
									<span><?php echo esc_html__( 'Sample CSV File', 'wk_quick'); ?></span>
								</a>
							</li>
						</ul>
						<h3><?php echo esc_html__( 'Direction', 'wk_quick'); ?></h3>
						<ul id="wk_file_type_info_ul" style="list-style-type:disc; padding-left:10px;">
							<li>
							<?php esc_html_e('Enter Product Id/SKU in Column A', 'wk_quick'); ?>
							</li>
							<li>
							<?php esc_html_e('Enter the quantities needed in Column B', 'wk_quick'); ?>
							</li>
							<li>
							<?php esc_html_e('Please do not include any prefixes, dashes, or other punctuation in the item numbers. Save the file on your computer. CSV format (.csv) and click Upload.', 'wk_quick'); ?>
							</li>
						</ul> 
					</div>
				</div> 
			</div>
		</div>
	</div>

	<?php

    endif;
	if( $table ) {
    ?>
	
	<div id="wk_left_column">
		
		<div class="wk_quick_order_box">

			<form method="post" name="wk_quick_order_form" id="wk_quick_order_form" action="">

				<?php wp_nonce_field('quick_order_action', 'quick_order_nonce_field'); ?>

				<div class="table-responsive">
					<table class="table table-striped woocommerce-orders-table woocommerce-MyAccount-orders shop_table shop_table_responsive my_account_orders account-orders-table" id="wk_quick_order_product_table">
						<thead>
							<tr>
								<?php if ( apply_filters( 'wkwc_quick_order_remove_sku_field_from_from', true ) ) { ?>
								<th class="woocommerce-orders-table__header" scope="col" style="width:12%"><?php echo esc_html__( 'SKU', 'wk_quick'); ?></th>
								<?php } ?>
								<th class="woocommerce-orders-table__header" scope="col" style="width:11%"><?php echo esc_html__( 'Image', 'wk_quick'); ?></th>
								<th class="woocommerce-orders-table__header" scope="col" style="width:17%"><?php echo esc_html__( 'Name', 'wk_quick'); ?></th>
								<?php if ( get_option('_create_combination_feild', 'yes' ) == 'yes') { ?>
								<th class="woocommerce-orders-table__header" scope="col" style="width:16%"><?php echo esc_html__( 'Combination', 'wk_quick'); ?></th>
								<?php } ?>
								<th class="woocommerce-orders-table__header" scope="col" style="width:13%"><?php echo esc_html__( 'Quantity', 'wk_quick'); ?></th>
								<th class="woocommerce-orders-table__header" scope="col" style="width:10%"><?php echo esc_html__( 'Price', 'wk_quick'); ?></th>
								<th class="woocommerce-orders-table__header" scope="col" style="width:11%"><?php echo esc_html__( 'Action', 'wk_quick'); ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
                            $blank_row = get_option( '_quick_blank_rows', 1 );
                                if ( $blank_row == 1 ) {
                                    if ( $products->have_posts() ) :

                                        while ( $products->have_posts() && $row_count > 0 ) : $products->the_post();
											$product = wc_get_product( get_the_id() );
											$type    = $product->get_type();

											if ($type != 'external' && $type != 'grouped') {
												include 'product-tmpl.php';
												--$row_count;
											}
										endwhile;
									endif;
									wp_reset_postdata();
                                } else {
                                    $no_rows = get_option( '_quick_no_rows', 5 );
                                    $rows    = !empty( $no_rows ) ? $no_rows : 5;

                                    while ( $rows ) {
                                        quick_get_template_part( 'tmpl/product-tmpl' );
                                        --$rows;
                                    }
                                }

                                ?>
							                     
					</tbody>
				</table>
				</div>
				<div class="form-group clearfix">
					<button name="wk_quick_order_add_row" id="wk_quick_order_add_row" class="col-md-12 btn"><?php esc_html_e('Add more rows', 'wk_quick'); ?></button>
					<button type="submit" name="wk_quick_order_submit_button" id="wk_quick_order_submit_button" class="btn btn-primary float-xs-right"><?php esc_html_e('Create Order', 'wk_quick'); ?></button>
				</div>
			</form>
		</div>
	</div>
	<?php } ?>
</div>